package com.ruoyi.ibs.list.mapper;

import com.ruoyi.ibs.grid.domain.entity.VirtualCustUser;
import com.ruoyi.ibs.list.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysCustAppointSupplementMapper {
    public List<CustDeptUserGrid> selectCustDeptUserGridListTab  (CustDeptUserGrid custDeptUserGrid);

    public List<GridInfoTs> selectGridInfoTsByGridIds(@Param("gridIds") List<Long> gridIds,@Param("log3") String log3);

    List<VirtualCustUser> selectVirtualCustUserList(VirtualCustUser virtualCustUser);

    public List<SysCampaignGroupCustomer> selectSysCampaignGroupCustomerList(SysCampaignGroupCustomer sysCampaignGroupCustomer);

    public List<CustDeptUserCmpm> selectCustDeptUserCmpmList(CustDeptUserCmpm custDeptUserCmpm);

    public int  updateSysCampaignGroupCustomerSupplementDeleteFlag(@Param("campaignId") String campaignId ,@Param("custId") String custId);

    public  List<SysCampaign> selectSysCampaignVoList(SysCampaign sysCampaign);
    public int insertSysCampaignGroupCustomerBatch(List<SysCampaignGroupCustomer> sysCampaignGroupCustomer);

}
